SSH Supported from which IOS Version?

Unanswered Question
May 30th, 2007

Hi There,

Would someone be able to shed some light as to which release of Cisco IOS did SSH support come in.

Some switches we are attempting to configure do not appear to have SSH and just need to know the minimum release required to have it.


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 3 (1 ratings)
ankbhasi Wed, 05/30/2007 - 20:01

Hi Daniel,

I will recommend you to use Feature Navigator tool

Once you have opened this click on Search by Feature and selecet SSh from there and it will list you all the releases and platform on which your selecetd feature is supported.

You can also start from searching by platform and search accordingly with your platform.



*Pls rate all helpfull post

ben_johnson Wed, 05/30/2007 - 21:55

Also, as a quick guide: if you want to know if an image on a particular device supports SSH check the image name and look for "k9" anywhere within the name. This is a code that appears in the CRYPTO enabled IOS images, which is what is needed for SSH.



Richard Burts Thu, 05/31/2007 - 03:34


Just to fill in a bit for the answer from Ben, which is certainly on the right track. SSH needs crypto and so to have SSH support on your switch you need the crypto support in the operating code. So the important variable is not so much what version of code but is what feature set. Support for SSH has been in the code for a pretty good while. So it is likely that the version of code that you are running in the switch does have SSH support but that the feature set you are running may not.



daniel.akinin Thu, 05/31/2007 - 21:34

Ok, great, thanks all, I have been able to determine the code using the Cisco Feature applet.



This Discussion